part of backend;

class Backend {
  static Future<void> newModel(String modelName, String attr) async {
    final modelFile = _getFile('$modelName.dart', _backendModelFolder);
    if (modelFile.existsSync()) {
      print('$modelName is exists before');
      return;
    }
    modelFile.createSync(recursive: true);
    modelFile.writeAsStringSync(
      _modelTemp(
        modelName,
        attr.split(',').map((e) => e.trim()).toList(),
      ),
    );
    _backendModelsFile.writeAsStringSync(
      '''
  export '$modelName.dart';
  ''',
      mode: FileMode.append,
    );
    await _initControllerManager();
  }

  static Future<void> newController(String controllerName) async {
    final controllerFile =
        _getFile('$controllerName.dart', _backendControllerFolder);
    if (controllerFile.existsSync()) {
      print('$controllerName is exists before');
      return;
    }
    controllerFile.createSync(recursive: true);
    controllerFile
        .writeAsStringSync(_controllerTemp(controllerName.toCamelcase()));
    _backendControllersFile.writeAsStringSync(
      '''
  export '$controllerName.dart';
  ''',
      mode: FileMode.append,
    );
  }

  static Future<void> _initControllerManager() async {
    final queryFile = File('lib/backend/controller_manager.dart');
    if (queryFile.existsSync()) {
      return;
    }
    queryFile.createSync(recursive: true);
    queryFile.writeAsStringSync(_controllerManagerTemp);
  }

  static Future<void> initStorageManager() async {
    final queryFile = File('lib/backend/storage_manager.dart');
    if (queryFile.existsSync()) {
      return;
    }
    queryFile.createSync(recursive: true);
    queryFile.writeAsStringSync(_storageManagerTemp);
  }
}
