part of init;

Future<void> _createProjectStructure() async {
  _arFile.createSync(recursive: true);
  await _arFile.writeAsString(_arTemp);
  _enFile.createSync(recursive: true);
  await _enFile.writeAsString(_enTemp);
  _mainFile.createSync(recursive: true);
  await Chaotic.newScreen('splash');
  await _mainFile.writeAsString(_mainTemp);
  await _analysisOptionsFile.writeAsString(_analysisOptionsTemp);
  await _applicationFile.writeAsString(_applicationTemp);
}

Future<void> _addPackages() async {
  final shell = Shell();
  final commands = _cmdCommandsTemp.split('\n')
    ..removeWhere((commandLine) => commandLine.isEmpty);
  for (final command in commands) {
    try {
      await shell.run(command);
    } catch (e) {
      print("can't run this command $command");
    }
  }
}

Future<void> _initYaml() async {
  final yamlContent = await _yamlFile.readAsString();
  final newYamlContent = yamlContent.split('\n')
    ..removeWhere((line) => line.trim().startsWith('#'));

  await _yamlFile.writeAsString(newYamlContent.join('\n'));
  await _yamlFile.writeAsString(_assetsTemp, mode: FileMode.append);
}
